Interface DaprEndpointBuilderFactory.DaprBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
DaprEndpointBuilderFactory
public static interface DaprEndpointBuilderFactory.DaprBuilders
-
Method Summary
Modifier and TypeMethodDescriptiondapr()Dapr (camel-dapr) Dapr component which interfaces with Dapr Building Blocks.Dapr (camel-dapr) Dapr component which interfaces with Dapr Building Blocks.Dapr (camel-dapr) Dapr component which interfaces with Dapr Building Blocks.
-
Method Details
-
dapr
Dapr (camel-dapr) Dapr component which interfaces with Dapr Building Blocks. Category: cloud,saas Since: 4.12 Maven coordinates: org.apache.camel:camel-dapr- Returns:
- the dsl builder for the headers' name.
-
dapr
Dapr (camel-dapr) Dapr component which interfaces with Dapr Building Blocks. Category: cloud,saas Since: 4.12 Maven coordinates: org.apache.camel:camel-dapr Syntax:dapr:operationPath parameter: operation (required) The Dapr building block operation to perform with this component There are 8 enums and the value can be one of: invokeService, state, pubSub, invokeBinding, secret, configuration, lock, workflow- Parameters:
path- operation- Returns:
- the dsl builder
-
dapr
Dapr (camel-dapr) Dapr component which interfaces with Dapr Building Blocks. Category: cloud,saas Since: 4.12 Maven coordinates: org.apache.camel:camel-dapr Syntax:dapr:operationPath parameter: operation (required) The Dapr building block operation to perform with this component There are 8 enums and the value can be one of: invokeService, state, pubSub, invokeBinding, secret, configuration, lock, workflow- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- operation- Returns:
- the dsl builder
-